/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.utils.api.repository;

import java.io.Serializable;

/**
 * 记录总的条数
 *
 * @author Lucky Yang
 */
public class Count implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 6638611936167444668L;
	private Long count;

	public Count() {
		super();
	}

	public Count(Long count) {
		super();
		this.count = count;
	}

	public Long getCount() {
		return count;
	}

	public void setCount(Long count) {
		this.count = count;
	}
	
	public boolean isNotEmpty(){
		return this.count == null?false: this.count>0;
	}
	
	public boolean isEmpty(){
		return !this.isNotEmpty();
	}	
}

