/**
 * Kivu4j. Copyright (C) 2010 . see<http://kivu4j.sourceforge.net />

   This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses />.
 */

package net.sourceforge.kivu4j.utils.api.repository;

/**
 * 抽象查询参数类
 *
 * @author Lucky Yang
 */
public abstract class Parameter {
	
	private int start;
	private int limit;
	private boolean isUnique = false;
	private boolean isDistanct = true;

	protected Parameter() {
		super();
	}

	protected Parameter(int start, int limit) {
		super();
		this.start = start;
		this.limit = limit;
	}

	public int getStart() {
		return start;
	}

	public void setStart(int start) {
		this.start = start;
	}

	public int getLimit() {
		return limit;
	}

	public void setLimit(int limit) {
		this.limit = limit;
	}

	public boolean isUnique() {
		return isUnique;
	}

	public void setUnique(boolean isUnique) {
		this.isUnique = isUnique;
	}

	public boolean isDistanct() {
		return isDistanct;
	}

	public void setDistanct(boolean isDistanct) {
		this.isDistanct = isDistanct;
	}

	/**
	 * 
	 * @return
	 */
	public abstract boolean isValid();


}